          /* Page Styles */
          body {
            height: 100vh;
            margin: 0;
            display: flex;
            justify-content: center;
            align-items: center;
            background-color: rgba(0, 0, 0, 0.8);
        }

        #consentContent {
            background: #fff5ed;
            padding: 20px;
            border-radius: 10px;
            text-align: center;
            max-width: 900px;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
            display: flex;
            flex-direction: column;
            height: 80%;
            /* Height fixed for the box */
        }

        h3 {
            font-size: 1.5rem;
        }

        #scrollableConsent {
            overflow-y: auto;
            flex-grow: 1;
            /* Takes the remaining height for scrolling */
            margin-bottom: 20px;
            padding-right: 10px;
            /* Add some space for the scrollbar */
        }

        p {
            font-size: 1rem;
            line-height: 1.5;
        }

        .btn-primary {
            width: 100%;
            padding: 10px;
            font-size: 1.2rem;
        }